<?php

/**
 * Global Configuration Override
 *
 * You can use this file for overriding configuration values from modules, etc.
 * You would place values in here that are agnostic to the environment and not
 * sensitive to security.
 *
 * @NOTE: In practice, this file will typically be INCLUDED in your source
 * control, so do not include passwords or other sensitive information in this
 * file.
 */
return array(
    'log' => array(
        'fatal_error_shutdownfunction' => true,
        'exceptionhandler' => true,
        'errorhandler' => true,
        'writers' => array(
            array(
                'name' => 'Stream',
                'options' => array(
                    'stream' => __DIR__ . '/../../data/logs/application.log',
                    'filters' => array(
                        array(
                            'name' => 'Priority',
                            'options' => array(
                                'priority' => \Zend\Log\Logger::WARN,
                            ),
                        ),
                    ),
                ),
            ),
        ),
    ),
    'cache' => array(
        'adapter' => 'memory',
        'plugins' => array(
            array('name' => 'serializer'),
        ),
    ),
    'db' => array(
        'driver' => 'pdo',
        'platform' => 'Mysql',
        'pdodriver' => 'mysql',
        'options' => array(PDO::MYSQL_ATTR_INIT_COMMAND => 'SET NAMES \'utf8\'')
    ),
    'session_config' => array(
        'remember_me_seconds' => 1800,
    ),
    'session_manager' => array(
        'enable_default_container_manager' => true,
    ),
);
